%def_enable goffice_internal
# README: check for build with external libgoffice
%set_verify_elf_method unresolved=relaxed

Name: gnucash
Version: 2.0.3
Release: alt0.1.0

Summary: GnuCash is an application to keep track of your finances
Summary(ru_RU.KOI8-R):  ޣ  GnuCash

License: GPL
Group: Office
Url: http://www.gnucash.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

#Source: http://dl.sf.net/%name/%name-%version.tar.bz2
Source: http://www.gnucash.org/pub/gnucash/sources/stable/%name-%version.tar.bz2
Source1: %name-48.xpm.bz2
Source2: %name-32.xpm.bz2
Source3: %name-16.xpm.bz2
#Source4: %name-%version.ru.po
Source5: %name-README.RU
#Source6: %name-%version-1.diff.bz2
Source7: conv_gnucash2.sh

#Patch: %name-%version.patch


Requires: lib%name = %version-%release

AutoReq: yes, noperl

BuildConflicts: lib%name

# Check whether GnuCash should be build with or without the Postgres backend.
# When building GnuCash, pass "--with postgres" or "--without postgres"
# options, as in
#    rpmbuild --without postgres -bb gnucash.spec
#%if "#_with_postgres" == "--with-postgres"
#	%define BUILD_WITH_POSTGRES 1
#	%define sql_config --enable-maintainer-mode --enable-sql
#%else
	%define BUILD_WITH_POSTGRES 0
	#%%define sql_config --disable-sql
#%endif

# manually removed: glibc-devel-static
# Automatically added by buildreq on Wed Oct 18 2006
BuildRequires: doxygen gcc-c++ graphviz guile16-devel g-wrap libffi-devel libgsf-gnome-devel libgtkhtml3-devel libg-wrap-devel libltdl-devel libofx-devel libreadline-devel glibc-kernheaders perl-XML-Parser slib-guile

%if_disabled goffice_internal
BuildPreReq: libgnomeoffice-devel 
%endif

BuildPreReq: subversion rpm-build-compat
Requires: g-wrap slib-guile

%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.

%description -l ru_RU.KOI8-R
GnuCash --    .  ޣ
         
  ,  ,   
  .     
̣  ,      
      .

%if %BUILD_WITH_POSTGRES
%package lib%name-postgres
Summary: Backend for storing GnuCash data in a PostgreSQL database
Summary(ru_RU.KOI8-R):     GnuCash    PostgreSQL
Group: Office
Requires: %name = %version
Requires: postgresql >= 7.1.3
Provides: %name-backend-postgres
Obsoletes: %name-backend-postgres

%description lib%name-postgres
This package contains a backend for storing your GnuCash accounts and
transactions in a PostgreSQL database.  Install this package if you
want to keep your financial data in a database instead of a flat file
(recommended for large volumes of data and commercial sites).

%description lib%name-postgres -l ru_RU.KOI8-R
         GnuCash
   PostgreSQL.    ,   
     ,     
(   ߣ    ).
%endif

%package -n lib%name-devel
Group: Development/C
Summary: Libraries needed to develop for gnucash
Summary(ru_RU.KOI8-R): ,     gnucash
Requires: lib%name = %version
Obsoletes: %name-devel

%description -n lib%name-devel
Libraries needed to develop for gnucash.
%description -n lib%name-devel -l ru_RU.KOI8-R
,     gnucash.

%package -n lib%name
Summary: Libraries for gnucash
Group: System/Libraries

%add_findprov_lib_path %_libdir/%name

%description -n lib%name
This package provides libraries to use gnucash.


%description -n lib%name -l ru_RU.KOI8-R
  ,  gnucash.

%prep
%setup -q
#%patch -p0

#%if %BUILD_WITH_POSTGRES
#automake src/backend/postgres/Makefile
#%endif
# remove internal lib
#rm -rf lib/goffice*
# use new external
#%__subst "s|\([ '\"]\)libgoffice-1|\1libgoffice-0.3|g" configure

%build
#NOCONFIGURE=1
# for svn releases
test -x ./autogen.sh && ./autogen.sh
%configure --without-gnome --enable-ofx

# For build with external qof
#%__subst "s|QOF_LIBS =.*|QOF_LIBS = %_libdir/libqof.so|" src/engine/Makefile
#%endif

# hack against errors in build
#%make || %make
%make

%install
%make_install DESTDIR=%buildroot install

# test for suddenly build with internal goffice or qof
# FIXME: check for lib
%if_disabled goffice_internal
test -d %buildroot%_libdir/gnucash/goffice && exit 1
%endif
#rmdir %buildroot%_datadir/gnucash/gnome

cp -p src/backend/postgres/README README.postgres

%find_lang %name --with-gnome

# Icons
mkdir -p %buildroot%_iconsdir
mkdir -p %buildroot%_liconsdir
mkdir -p %buildroot%_miconsdir
bzcat %SOURCE1 > %buildroot%_liconsdir/%name.xpm
bzcat %SOURCE2 > %buildroot%_iconsdir/%name.xpm
bzcat %SOURCE3 > %buildroot%_miconsdir/%name.xpm

%__install -m755 %SOURCE7 %buildroot%_bindir/conv_gnucash2.sh

%post
%update_menus

%postun
%clean_menus

%post -n lib%name
%post_ldconfig
%postun -n lib%name
%post_ldconfig

#%if %BUILD_WITH_POSTGRES
#%files lib%name-postgres
#%_libdir/%name/libgncmod-backend-postgres*
#doc README.postgres
#%endif

%files -n lib%name-devel
%doc ChangeLog.*
#%_bindir/gnucash-make-guids
%_includedir/%name
%_aclocaldir/gnucash.m4

%files -n lib%name
%_libdir/lib*.so.*
#%exclude %_libdir/libqof*
%dir %_libdir/%name/
%_libdir/%name/lib*so*.0
#%_libdir/*.la
%_libdir/%name/*.la
%_libdir/*.so
%_libdir/%name/*.so
%if_enabled goffice_internal
%_libdir/%name/goffice/
%_libdir/%name/libgoffice-1.so*
%endif

# hbci 
#%exclude %_libdir/%name/libgncmod-hbci*

%files -f %name.lang
%doc AUTHORS ChangeLog HACKING NEWS README README.patches
%doc doc/README.* doc/guile-hackers.txt
%_sysconfdir/gconf/schemas/*
#%_datadir/gnome/help/gnucash
%config %_sysconfdir/%name
%_bindir/*
%_libexecdir/%name/overrides/
%dir %_datadir/%name/
%_datadir/%name/xml/qsf/
#%_datadir/%name/gnome
%_datadir/%name/*.list
#%_datadir/%name/finance-quote-helper
#%_datadir/%name/finance-quote-check
%_datadir/%name/doc/
%_datadir/%name/glade/
#%_datadir/%name/html
%_datadir/%name/accounts/
%_datadir/%name/guile-modules/
%_datadir/%name/scm/
%_desktopdir/%name.desktop
%_datadir/%name/ui/
%_datadir/%name/pixmaps/
%_pixmapsdir/*
%_datadir/xml/%name/
%_infodir/*
%_man1dir/*
%_niconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm
#%_menudir/%name
#%_datadir/mime-info/%name.*
#%_libdir/goffice/plugins/*
# hbci 
#%exclude %_datadir/%name/glade/hbci*
%if_enabled goffice_internal
%_datadir/%name/goffice/
%endif

%changelog
* Thu Feb 15 2007 ALT QA Team Robot <qa-robot@altlinux.org> 2.0.3-alt0.1.0
- Rebuilt with libofx.so.3.

* Sat Dec 23 2006 Vitaly Lipatov <lav@altlinux.ru> 2.0.3-alt0.1
- new version 2.0.3 (with rpmrb script)

* Sat Dec 23 2006 Vitaly Lipatov <lav@altlinux.ru> 2.0.2-alt1.1
- rebuild with internal libgnomeoffice

* Wed Oct 18 2006 Vitaly Lipatov <lav@altlinux.ru> 2.0.2-alt1
- update buildreq

* Sun Oct 15 2006 Vitaly Lipatov <lav@altlinux.ru> 2.0.2-alt0.1
- new version 2.0.2 (with rpmrb script)

* Sun Jul 23 2006 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt1
- new stable release 2.0.0 (fix bug #9823))
- add missed libdir/gnucash

* Sun May 21 2006 Vitaly Lipatov <lav@altlinux.ru> 2.0-alt0.1svn20060521
- new build from SVN (r14146)

* Fri May 12 2006 Vitaly Lipatov <lav@altlinux.ru> 2.0-alt0.1svn20060512
- new build from SVN (r14029)

* Fri Apr 14 2006 Vitaly Lipatov <lav@altlinux.ru> 2.0-alt0.1svn20060414
- new build from SVN (r13773)
- double make for build error workaround

* Mon Jan 23 2006 Vitaly Lipatov <lav@altlinux.ru> 2.0-alt0.1svn20060123
- new build from SVN (r12926), russian translation updated
- NOTE: convert your old gnucash files with conv_gnucash2.sh script

* Wed Dec 01 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0-alt0.1cvs20041201
- first build with GNOME2 (for developing purposes ONLY)
- use a macro for ldconfig

* Sun May 23 2004 Vitaly Lipatov <lav@altlinux.ru> 1.8.9-alt2
- build with rebuilt gnome1 libraries
- remove python requiring

* Wed Apr 28 2004 Vitaly Lipatov <lav@altlinux.ru> 1.8.9-alt1
- new version
- applied full diff patch from debian unstable (due dlopen problem)

* Wed Jan 14 2004 Vitaly Lipatov <lav@altlinux.ru> 1.8.8-alt3
- update ru.po
- move .so files from -devel to libgnucash for dynamic linking purposes
- change require python to universal way (without version)
- remove COPYING from doc

* Sat Jan 03 2004 Vitaly Lipatov <lav@altlinux.ru> 1.8.8-alt2
- build without *.la files
- build with gcc3.3
- disable guppi support

* Thu Dec 04 2003 Vitaly Lipatov <lav@altlinux.ru> 1.8.8-alt1
- new version
- build with Guppi
- add autostart gconfd-1 before gnucash in start script

* Mon Oct 06 2003 Vitaly Lipatov <lav@altlinux.ru> 1.8.7-alt1
- new version
- disable autoreq for perl and set it manually

* Sun Jun 22 2003 Vitaly Lipatov <lav@altlinux.ru> 1.8.4-alt1
- new version

* Mon Mar 24 2003 Vitaly Lipatov <lav@altlinux.ru> 1.8.2-alt1
- new version
- postgres backend enabled
- update russian translation

* Sun Jan 26 2003 Vitaly Lipatov <lav@altlinux.ru> 1.7.8-alt1
- new version

* Mon Jan 06 2003 Vitaly Lipatov <lav@altlinux.ru> 1.7.7-alt1
- new version
- Warning: Be careful with RUB currency (use RUR instead) in your file.
- update russian translation
- postgres disabled via build problems
- add needed binaries in file section
- add README_koi8-r.txt
- cleanup spec

* Sat Dec 14 2002 Vitaly Lipatov <lav@altlinux.ru> 1.7.5-alt1
- gnucash-devel rename to libgnucash-devel
- spec cleanup
- add Postgres support package (untested)
- new version
- update ru.po

* Mon Nov 04 2002 Vitaly Lipatov <lav@altlinux.ru> 1.7.2-alt2
- remove dependences on libtermcap
- update russian translation

* Fri Nov 01 2002 Vitaly Lipatov <lav@altlinux.ru> 1.7.2-alt1
- new version
- spec updated

* Mon Feb 18 2002 AEN <aen@logic.ru> 1.6.5-alt3
- ru.po updates from Vitaly Lipatov

* Tue Jan 22 2002 AEN <aen@logic.ru> 1.6.5-alt2
- rebuilt with new Guppi

* Mon Jan 14 2002 AEN <aen@logic.ru> 1.6.5-alt1
- new version

* Wed Dec 05 2001 AEN <aen@logic.ru> 1.6.4-alt5
- rebuilt with gtkhtml-1.0.0

* Wed Nov 21 2001 AEN <aen@logic.ru> 1.6.4-alt4
- rebuild with libguppi-0.40.2

* Fri Nov 09 2001 AEN <aen@logicru> 1.6.4-alt3
- rebuilt with new gal

* Thu Nov 1 2001 AEN <aen@logic.ru> 1.6.4-alt2
- rebuild in new environment

* Fri Oct 12 2001 AEN <aen@logic.ru> 1.6.4-alt1
- new version

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.8-1mdk
- new version 1.4.8
- added buildconflicts with libxml2-devel

* Mon Oct  9 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.7-2mdk
- added /usr/lib/gnucash/perl/* library files
- added la files in devel
- added man pages
- added requirement in devel
- gnucash.so is needed in the *normal* package because of swig
- moved libgncengine.so from devel to normal, just in case...

* Mon Oct  2 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.7-1mdk
- new version

* Tue Sep 12 2000  <rchaillat@bi.mandrakesoft.com> 1.4.6-1mdk
- new version

* Thu Aug 31 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.5-2mdk
- added comment about g-wrap
- added menu file

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.5-1mdk
- went back to stable releases
- macroszification
- corrected icons
- added some more BuildRequires (xpm, guile-devel)
- specfile clean-up
- split application and devel packages

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.5.0-1mdk
- Updated version

* Tue Jul 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.2-3mdk
- Repaired missing libs

* Mon Jul 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.2-1mdk
- Updated version / release 2 hours ago.

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.1-1mdk
- Updated version

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.1-5mdk
- Give full path when using convert.
- BuildPrereq: /usr/bin/convert.
- Regenerate libtoolize everywhere there is a configure.
- BuildRequires: eperl swig.

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-4mdk

- Patched to compile with perl 5.6.0

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-3mdk

- Icon for menu entry
- Rebuilt on kenobi

* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 1.3.1-2mdk

- Menu'ized, changed group to Office (was: Applications/Finance)

* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com>

- First RPM for Mandrake

* Mon Feb 29 2000 Christian Schaller <Uraues@linuxrising.org>
- Updated for use with TurboLinux and some minor SPEC changes
